Package com.creditcall.chipdnamobile

# Enum Class CardSchemeIdEnum

java.lang.Object
java.lang.Enum<CardSchemeIdEnum>
com.creditcall.chipdnamobile.CardSchemeIdEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<CardSchemeIdEnum>`, `Constable`

public enum CardSchemeIdEnum extends Enum<CardSchemeIdEnum>
The possible values returned for CardSchemeIDEnum.

Author:
  Creditcall Ltd

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AMEX`
  (4) Amex
  `CARTE_BLANC`
  (9) Carte Blanc
  `CARTE_BLEUE`
  (8) Carte Bleue
  `CHINA_UNION_PAY`
  (12) China Union Pay
  `DINERS`
  (6) Diners
  `DISCOVER`
  (7) Discover
  `INTERAC`
  (1241) Interac
  `JCB`
  (5) JCB
  `LASER`
  (3721) Laser
  `MAESTRO`
  (3) Maestro
  `MASTERCARD`
  (2) MasterCard
  `OTHER`
  (0) Other
  `STYLE`
  (100) Style
  `VALUE_LINK`
  (101) Value Link
  `VISA`
  (1) Visa
  `VOYAGER`
  (10) Voyager
  `WEX`
  (11) WEX

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CardSchemeIdEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CardSchemeIdEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OTHER

    public static final CardSchemeIdEnum OTHER
    (0) Other

  - ### VISA

    public static final CardSchemeIdEnum VISA
    (1) Visa

  - ### MASTERCARD

    public static final CardSchemeIdEnum MASTERCARD
    (2) MasterCard

  - ### MAESTRO

    public static final CardSchemeIdEnum MAESTRO
    (3) Maestro

  - ### AMEX

    public static final CardSchemeIdEnum AMEX
    (4) Amex

  - ### JCB

    public static final CardSchemeIdEnum JCB
    (5) JCB

  - ### DINERS

    public static final CardSchemeIdEnum DINERS
    (6) Diners

  - ### DISCOVER

    public static final CardSchemeIdEnum DISCOVER
    (7) Discover

  - ### CARTE_BLEUE

    public static final CardSchemeIdEnum CARTE_BLEUE
    (8) Carte Bleue

  - ### CARTE_BLANC

    public static final CardSchemeIdEnum CARTE_BLANC
    (9) Carte Blanc

  - ### VOYAGER

    public static final CardSchemeIdEnum VOYAGER
    (10) Voyager

  - ### WEX

    public static final CardSchemeIdEnum WEX
    (11) WEX

  - ### CHINA_UNION_PAY

    public static final CardSchemeIdEnum CHINA_UNION_PAY
    (12) China Union Pay

  - ### STYLE

    public static final CardSchemeIdEnum STYLE
    (100) Style

  - ### VALUE_LINK

    public static final CardSchemeIdEnum VALUE_LINK
    (101) Value Link

  - ### INTERAC

    public static final CardSchemeIdEnum INTERAC
    (1241) Interac

  - ### LASER

    public static final CardSchemeIdEnum LASER
    (3721) Laser

- ## Method Details

  - ### values

    public static CardSchemeIdEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CardSchemeIdEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null